Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class DBInstance

    java.lang.Object
      com.amazonaws.services.rds.model.DBInstance

    public class DBInstance

extends Object

Constructor Summary
`DBInstance()`

Method Summary
`Integer` | `getAllocatedStorage()` Specifies the allocated storage size specified in gigabytes.
`String` | `getAvailabilityZone()` Specifies the name of the Availability Zone the DB Instance is located in.
`Integer` | `getBackupRetentionPeriod()` Specifies the number of days for which automatic DB Snapshots are retained.
`String` | `getDBInstanceClass()` Specifies the name of the compute and memory capacity class of the DB Instance.
`String` | `getDBInstanceIdentifier()` Specifies a user-supplied database identifier.
`String` | `getDBInstanceStatus()` Specifies the current state of this database.
`String` | `getDBName()` Specifies the name of the initial database of this instance that was provided at create time, if one was specified when the DB Instance was created.
`List<DBParameterGroupStatus>` | `getDBParameterGroups()` Provides the list of DB Parameter Groups applied to this DB Instance.
`List<DBSecurityGroupMembership>` | `getDBSecurityGroups()` Provides List of DB Security Group elements containing only DBSecurityGroup.Name and DBSecurityGroup.Status sub-elements.
`Endpoint` | `getEndpoint()` Specifies the endpoint type.
`String` | `getEngine()` Provides the name of the database engine to be used for this DB Instance.
`Date` | `getInstanceCreateTime()` Provides the date and time the DB Instance was created.
`Date` | `getLatestRestorableTime()` Specifies the latest time to which a database can be restored with point-in-time restore.
`String` | `getMasterUsername()` Contains the master username for the DB Instance.
`Boolean` | `getMultiAZ()` Returns the value of the MultiAZ property for this object.
`PendingModifiedValues` | `getPendingModifiedValues()` Specifies that changes to the DB Instance are pending.
`String` | `getPreferredBackupWindow()` Specifies the daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.
`String` | `getPreferredMaintenanceWindow()` Specifies the weekly time range (in UTC) during which system maintenance can occur.
`Boolean` | `isMultiAZ()` Returns the value of the MultiAZ property for this object.
`void` | `setAllocatedStorage(Integer allocatedStorage)` Specifies the allocated storage size specified in gigabytes.
`void` | `setAvailabilityZone(String availabilityZone)` Specifies the name of the Availability Zone the DB Instance is located in.
`void` | `setBackupRetentionPeriod(Integer backupRetentionPeriod)` Specifies the number of days for which automatic DB Snapshots are retained.
`void` | `setDBInstanceClass(String dBInstanceClass)` Specifies the name of the compute and memory capacity class of the DB Instance.
`void` | `setDBInstanceIdentifier(String dBInstanceIdentifier)` Specifies a user-supplied database identifier.
`void` | `setDBInstanceStatus(String dBInstanceStatus)` Specifies the current state of this database.
`void` | `setDBName(String dBName)` Specifies the name of the initial database of this instance that was provided at create time, if one was specified when the DB Instance was created.
`void` | `setDBParameterGroups(Collection<DBParameterGroupStatus> dBParameterGroups)` Provides the list of DB Parameter Groups applied to this DB Instance.
`void` | `setDBSecurityGroups(Collection<DBSecurityGroupMembership> dBSecurityGroups)` Provides List of DB Security Group elements containing only DBSecurityGroup.Name and DBSecurityGroup.Status sub-elements.
`void` | `setEndpoint(Endpoint endpoint)` Specifies the endpoint type.
`void` | `setEngine(String engine)` Provides the name of the database engine to be used for this DB Instance.
`void` | `setInstanceCreateTime(Date instanceCreateTime)` Provides the date and time the DB Instance was created.
`void` | `setLatestRestorableTime(Date latestRestorableTime)` Specifies the latest time to which a database can be restored with point-in-time restore.
`void` | `setMasterUsername(String masterUsername)` Contains the master username for the DB Instance.
`void` | `setMultiAZ(Boolean multiAZ)` Sets the value of the MultiAZ property for this object.
`void` | `setPendingModifiedValues(PendingModifiedValues pendingModifiedValues)` Specifies that changes to the DB Instance are pending.
`void` | `setPreferredBackupWindow(String preferredBackupWindow)` Specifies the daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.
`void` | `setPreferredMaintenanceWindow(String preferredMaintenanceWindow)` Specifies the weekly time range (in UTC) during which system maintenance can occur.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DBInstance` | `withAllocatedStorage(Integer allocatedStorage)` Specifies the allocated storage size specified in gigabytes.
`DBInstance` | `withAvailabilityZone(String availabilityZone)` Specifies the name of the Availability Zone the DB Instance is located in.
`DBInstance` | `withBackupRetentionPeriod(Integer backupRetentionPeriod)` Specifies the number of days for which automatic DB Snapshots are retained.
`DBInstance` | `withDBInstanceClass(String dBInstanceClass)` Specifies the name of the compute and memory capacity class of the DB Instance.
`DBInstance` | `withDBInstanceIdentifier(String dBInstanceIdentifier)` Specifies a user-supplied database identifier.
`DBInstance` | `withDBInstanceStatus(String dBInstanceStatus)` Specifies the current state of this database.
`DBInstance` | `withDBName(String dBName)` Specifies the name of the initial database of this instance that was provided at create time, if one was specified when the DB Instance was created.
`DBInstance` | `withDBParameterGroups(Collection<DBParameterGroupStatus> dBParameterGroups)` Provides the list of DB Parameter Groups applied to this DB Instance.
`DBInstance` | `withDBParameterGroups(DBParameterGroupStatus... dBParameterGroups)` Provides the list of DB Parameter Groups applied to this DB Instance.
`DBInstance` | `withDBSecurityGroups(Collection<DBSecurityGroupMembership> dBSecurityGroups)` Provides List of DB Security Group elements containing only DBSecurityGroup.Name and DBSecurityGroup.Status sub-elements.
`DBInstance` | `withDBSecurityGroups(DBSecurityGroupMembership... dBSecurityGroups)` Provides List of DB Security Group elements containing only DBSecurityGroup.Name and DBSecurityGroup.Status sub-elements.
`DBInstance` | `withEndpoint(Endpoint endpoint)` Specifies the endpoint type.
`DBInstance` | `withEngine(String engine)` Provides the name of the database engine to be used for this DB Instance.
`DBInstance` | `withInstanceCreateTime(Date instanceCreateTime)` Provides the date and time the DB Instance was created.
`DBInstance` | `withLatestRestorableTime(Date latestRestorableTime)` Specifies the latest time to which a database can be restored with point-in-time restore.
`DBInstance` | `withMasterUsername(String masterUsername)` Contains the master username for the DB Instance.
`DBInstance` | `withMultiAZ(Boolean multiAZ)` Sets the value of the MultiAZ property for this object.
`DBInstance` | `withPendingModifiedValues(PendingModifiedValues pendingModifiedValues)` Specifies that changes to the DB Instance are pending.
`DBInstance` | `withPreferredBackupWindow(String preferredBackupWindow)` Specifies the daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.
`DBInstance` | `withPreferredMaintenanceWindow(String preferredMaintenanceWindow)` Specifies the weekly time range (in UTC) during which system maintenance can occur.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DBInstance

    public DBInstance()

Method Detail

### getDBInstanceIdentifier

    public String getDBInstanceIdentifier()

  Specifies a user-supplied database identifier. This is the unique key that identifies a DB Instance.

  Returns:
    Specifies a user-supplied database identifier. This is the unique key that identifies a DB Instance.

### setDBInstanceIdentifier

    public void setDBInstanceIdentifier(String dBInstanceIdentifier)

  Specifies a user-supplied database identifier. This is the unique key that identifies a DB Instance.

  Parameters:
    `dBInstanceIdentifier` - Specifies a user-supplied database identifier. This is the unique key that identifies a DB Instance.

### withDBInstanceIdentifier

    public DBInstance withDBInstanceIdentifier(String dBInstanceIdentifier)

  Specifies a user-supplied database identifier. This is the unique key that identifies a DB Instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBInstanceIdentifier` - Specifies a user-supplied database identifier. This is the unique key that identifies a DB Instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDBInstanceClass

    public String getDBInstanceClass()

  Specifies the name of the compute and memory capacity class of the DB Instance.

  Returns:
    Specifies the name of the compute and memory capacity class of the DB Instance.

### setDBInstanceClass

    public void setDBInstanceClass(String dBInstanceClass)

  Specifies the name of the compute and memory capacity class of the DB Instance.

  Parameters:
    `dBInstanceClass` - Specifies the name of the compute and memory capacity class of the DB Instance.

### withDBInstanceClass

    public DBInstance withDBInstanceClass(String dBInstanceClass)

  Specifies the name of the compute and memory capacity class of the DB Instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBInstanceClass` - Specifies the name of the compute and memory capacity class of the DB Instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getEngine

    public String getEngine()

  Provides the name of the database engine to be used for this DB Instance.

  Returns:
    Provides the name of the database engine to be used for this DB Instance.

### setEngine

    public void setEngine(String engine)

  Provides the name of the database engine to be used for this DB Instance.

  Parameters:
    `engine` - Provides the name of the database engine to be used for this DB Instance.

### withEngine

    public DBInstance withEngine(String engine)

  Provides the name of the database engine to be used for this DB Instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `engine` - Provides the name of the database engine to be used for this DB Instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDBInstanceStatus

    public String getDBInstanceStatus()

  Specifies the current state of this database.

  Returns:
    Specifies the current state of this database.

### setDBInstanceStatus

    public void setDBInstanceStatus(String dBInstanceStatus)

  Specifies the current state of this database.

  Parameters:
    `dBInstanceStatus` - Specifies the current state of this database.

### withDBInstanceStatus

    public DBInstance withDBInstanceStatus(String dBInstanceStatus)

  Specifies the current state of this database.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBInstanceStatus` - Specifies the current state of this database.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMasterUsername

    public String getMasterUsername()

  Contains the master username for the DB Instance.

  Returns:
    Contains the master username for the DB Instance.

### setMasterUsername

    public void setMasterUsername(String masterUsername)

  Contains the master username for the DB Instance.

  Parameters:
    `masterUsername` - Contains the master username for the DB Instance.

### withMasterUsername

    public DBInstance withMasterUsername(String masterUsername)

  Contains the master username for the DB Instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `masterUsername` - Contains the master username for the DB Instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDBName

    public String getDBName()

  Specifies the name of the initial database of this instance that was provided at create time, if one was specified when the DB Instance was created. This same name is returned for the life of the DB Instance.

  Returns:
    Specifies the name of the initial database of this instance that was provided at create time, if one was specified when the DB Instance was created. This same name is returned for the life of the DB Instance.

### setDBName

    public void setDBName(String dBName)

  Specifies the name of the initial database of this instance that was provided at create time, if one was specified when the DB Instance was created. This same name is returned for the life of the DB Instance.

  Parameters:
    `dBName` - Specifies the name of the initial database of this instance that was provided at create time, if one was specified when the DB Instance was created. This same name is returned for the life of the DB Instance.

### withDBName

    public DBInstance withDBName(String dBName)

  Specifies the name of the initial database of this instance that was provided at create time, if one was specified when the DB Instance was created. This same name is returned for the life of the DB Instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBName` - Specifies the name of the initial database of this instance that was provided at create time, if one was specified when the DB Instance was created. This same name is returned for the life of the DB Instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getEndpoint

    public Endpoint getEndpoint()

  Specifies the endpoint type.

  Returns:
    Specifies the endpoint type.

### setEndpoint

    public void setEndpoint(Endpoint endpoint)

  Specifies the endpoint type.

  Parameters:
    `endpoint` - Specifies the endpoint type.

### withEndpoint

    public DBInstance withEndpoint(Endpoint endpoint)

  Specifies the endpoint type.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `endpoint` - Specifies the endpoint type.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAllocatedStorage

    public Integer getAllocatedStorage()

  Specifies the allocated storage size specified in gigabytes.

  Returns:
    Specifies the allocated storage size specified in gigabytes.

### setAllocatedStorage

    public void setAllocatedStorage(Integer allocatedStorage)

  Specifies the allocated storage size specified in gigabytes.

  Parameters:
    `allocatedStorage` - Specifies the allocated storage size specified in gigabytes.

### withAllocatedStorage

    public DBInstance withAllocatedStorage(Integer allocatedStorage)

  Specifies the allocated storage size specified in gigabytes.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `allocatedStorage` - Specifies the allocated storage size specified in gigabytes.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getInstanceCreateTime

    public Date getInstanceCreateTime()

  Provides the date and time the DB Instance was created.

  Returns:
    Provides the date and time the DB Instance was created.

### setInstanceCreateTime

    public void setInstanceCreateTime(Date instanceCreateTime)

  Provides the date and time the DB Instance was created.

  Parameters:
    `instanceCreateTime` - Provides the date and time the DB Instance was created.

### withInstanceCreateTime

    public DBInstance withInstanceCreateTime(Date instanceCreateTime)

  Provides the date and time the DB Instance was created.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceCreateTime` - Provides the date and time the DB Instance was created.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPreferredBackupWindow

    public String getPreferredBackupWindow()

  Specifies the daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.

  Returns:
    Specifies the daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.

### setPreferredBackupWindow

    public void setPreferredBackupWindow(String preferredBackupWindow)

  Specifies the daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.

  Parameters:
    `preferredBackupWindow` - Specifies the daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.

### withPreferredBackupWindow

    public DBInstance withPreferredBackupWindow(String preferredBackupWindow)

  Specifies the daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `preferredBackupWindow` - Specifies the daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getBackupRetentionPeriod

    public Integer getBackupRetentionPeriod()

  Specifies the number of days for which automatic DB Snapshots are retained.

  Returns:
    Specifies the number of days for which automatic DB Snapshots are retained.

### setBackupRetentionPeriod

    public void setBackupRetentionPeriod(Integer backupRetentionPeriod)

  Specifies the number of days for which automatic DB Snapshots are retained.

  Parameters:
    `backupRetentionPeriod` - Specifies the number of days for which automatic DB Snapshots are retained.

### withBackupRetentionPeriod

    public DBInstance withBackupRetentionPeriod(Integer backupRetentionPeriod)

  Specifies the number of days for which automatic DB Snapshots are retained.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `backupRetentionPeriod` - Specifies the number of days for which automatic DB Snapshots are retained.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDBSecurityGroups

    public List<DBSecurityGroupMembership> getDBSecurityGroups()

  Provides List of DB Security Group elements containing only DBSecurityGroup.Name and DBSecurityGroup.Status sub-elements.

  Returns:
    Provides List of DB Security Group elements containing only DBSecurityGroup.Name and DBSecurityGroup.Status sub-elements.

### setDBSecurityGroups

    public void setDBSecurityGroups(Collection<DBSecurityGroupMembership> dBSecurityGroups)

  Provides List of DB Security Group elements containing only DBSecurityGroup.Name and DBSecurityGroup.Status sub-elements.

  Parameters:
    `dBSecurityGroups` - Provides List of DB Security Group elements containing only DBSecurityGroup.Name and DBSecurityGroup.Status sub-elements.

### withDBSecurityGroups

    public DBInstance withDBSecurityGroups(DBSecurityGroupMembership... dBSecurityGroups)

  Provides List of DB Security Group elements containing only DBSecurityGroup.Name and DBSecurityGroup.Status sub-elements.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBSecurityGroups` - Provides List of DB Security Group elements containing only DBSecurityGroup.Name and DBSecurityGroup.Status sub-elements.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withDBSecurityGroups

    public DBInstance withDBSecurityGroups(Collection<DBSecurityGroupMembership> dBSecurityGroups)

  Provides List of DB Security Group elements containing only DBSecurityGroup.Name and DBSecurityGroup.Status sub-elements.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBSecurityGroups` - Provides List of DB Security Group elements containing only DBSecurityGroup.Name and DBSecurityGroup.Status sub-elements.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDBParameterGroups

    public List<DBParameterGroupStatus> getDBParameterGroups()

  Provides the list of DB Parameter Groups applied to this DB Instance.

  Returns:
    Provides the list of DB Parameter Groups applied to this DB Instance.

### setDBParameterGroups

    public void setDBParameterGroups(Collection<DBParameterGroupStatus> dBParameterGroups)

  Provides the list of DB Parameter Groups applied to this DB Instance.

  Parameters:
    `dBParameterGroups` - Provides the list of DB Parameter Groups applied to this DB Instance.

### withDBParameterGroups

    public DBInstance withDBParameterGroups(DBParameterGroupStatus... dBParameterGroups)

  Provides the list of DB Parameter Groups applied to this DB Instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBParameterGroups` - Provides the list of DB Parameter Groups applied to this DB Instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withDBParameterGroups

    public DBInstance withDBParameterGroups(Collection<DBParameterGroupStatus> dBParameterGroups)

  Provides the list of DB Parameter Groups applied to this DB Instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBParameterGroups` - Provides the list of DB Parameter Groups applied to this DB Instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAvailabilityZone

    public String getAvailabilityZone()

  Specifies the name of the Availability Zone the DB Instance is located in.

  Returns:
    Specifies the name of the Availability Zone the DB Instance is located in.

### setAvailabilityZone

    public void setAvailabilityZone(String availabilityZone)

  Specifies the name of the Availability Zone the DB Instance is located in.

  Parameters:
    `availabilityZone` - Specifies the name of the Availability Zone the DB Instance is located in.

### withAvailabilityZone

    public DBInstance withAvailabilityZone(String availabilityZone)

  Specifies the name of the Availability Zone the DB Instance is located in.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `availabilityZone` - Specifies the name of the Availability Zone the DB Instance is located in.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPreferredMaintenanceWindow

    public String getPreferredMaintenanceWindow()

  Specifies the weekly time range (in UTC) during which system maintenance can occur.

  Returns:
    Specifies the weekly time range (in UTC) during which system maintenance can occur.

### setPreferredMaintenanceWindow

    public void setPreferredMaintenanceWindow(String preferredMaintenanceWindow)

  Specifies the weekly time range (in UTC) during which system maintenance can occur.

  Parameters:
    `preferredMaintenanceWindow` - Specifies the weekly time range (in UTC) during which system maintenance can occur.

### withPreferredMaintenanceWindow

    public DBInstance withPreferredMaintenanceWindow(String preferredMaintenanceWindow)

  Specifies the weekly time range (in UTC) during which system maintenance can occur.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `preferredMaintenanceWindow` - Specifies the weekly time range (in UTC) during which system maintenance can occur.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPendingModifiedValues

    public PendingModifiedValues getPendingModifiedValues()

  Specifies that changes to the DB Instance are pending. This element is only included when changes are pending. Specific changes are identified by sub-elements.

  Returns:
    Specifies that changes to the DB Instance are pending. This element is only included when changes are pending. Specific changes are identified by sub-elements.

### setPendingModifiedValues

    public void setPendingModifiedValues(PendingModifiedValues pendingModifiedValues)

  Specifies that changes to the DB Instance are pending. This element is only included when changes are pending. Specific changes are identified by sub-elements.

  Parameters:
    `pendingModifiedValues` - Specifies that changes to the DB Instance are pending. This element is only included when changes are pending. Specific changes are identified by sub-elements.

### withPendingModifiedValues

    public DBInstance withPendingModifiedValues(PendingModifiedValues pendingModifiedValues)

  Specifies that changes to the DB Instance are pending. This element is only included when changes are pending. Specific changes are identified by sub-elements.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `pendingModifiedValues` - Specifies that changes to the DB Instance are pending. This element is only included when changes are pending. Specific changes are identified by sub-elements.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getLatestRestorableTime

    public Date getLatestRestorableTime()

  Specifies the latest time to which a database can be restored with point-in-time restore.

  Returns:
    Specifies the latest time to which a database can be restored with point-in-time restore.

### setLatestRestorableTime

    public void setLatestRestorableTime(Date latestRestorableTime)

  Specifies the latest time to which a database can be restored with point-in-time restore.

  Parameters:
    `latestRestorableTime` - Specifies the latest time to which a database can be restored with point-in-time restore.

### withLatestRestorableTime

    public DBInstance withLatestRestorableTime(Date latestRestorableTime)

  Specifies the latest time to which a database can be restored with point-in-time restore.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `latestRestorableTime` - Specifies the latest time to which a database can be restored with point-in-time restore.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### isMultiAZ

    public Boolean isMultiAZ()

  Returns the value of the MultiAZ property for this object.

  Returns:
    The value of the MultiAZ property for this object.

### setMultiAZ

    public void setMultiAZ(Boolean multiAZ)

  Sets the value of the MultiAZ property for this object.

  Parameters:
    `multiAZ` - The new value for the MultiAZ property for this object.

### withMultiAZ

    public DBInstance withMultiAZ(Boolean multiAZ)

  Sets the value of the MultiAZ property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `multiAZ` - The new value for the MultiAZ property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMultiAZ

    public Boolean getMultiAZ()

  Returns the value of the MultiAZ property for this object.

  Returns:
    The value of the MultiAZ property for this object.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.